Zebre Parma vs Dragons RFC · EPCR Challenge Cup
EPCR Challenge Cup · 2025-26Full time

32–35

Match report
Dragons RFC beat Zebre Parma 35-32 away from home at Stadio Sergio Lanfranchi, Parma in the quarter-finals of the EPCR Challenge Cup on Saturday, 11 April 2026.
That makes it three wins in a row for Dragons RFC.
Written automatically from the match data; updated as results come in.
Head to head
4
Zebre Parma wins (44%)
0
Draws (0%)
5
Dragons RFC wins (56%)
Last 9 meetings, since October 2020
Biggest Zebre Parma win
26–15
27 Feb 2021
Biggest Dragons RFC win
47–7
29 Oct 2022
Last 5 meetings
- 24 Apr 2026 · United Rugby ChampionshipZebre Parma18Dragons RFC1924 Apr 2026Zebre Parma18–19Dragons RFCUnited Rugby Championship
- 11 Apr 2026 · Challenge CupZebre Parma32Dragons RFC3511 Apr 2026Zebre Parma32–35Dragons RFCChallenge Cup
- 28 Feb 2025 · United Rugby ChampionshipZebre Parma31Dragons RFC2128 Feb 2025Zebre Parma31–21Dragons RFCUnited Rugby Championship
- 29 Mar 2024 · United Rugby ChampionshipDragons RFC20Zebre Parma1329 Mar 2024Dragons RFC20–13Zebre ParmaUnited Rugby Championship
- 13 Jan 2024 · Challenge CupZebre Parma20Dragons RFC1713 Jan 2024Zebre Parma20–17Dragons RFCChallenge Cup
Lineups
Avg. age
26.1
Avg. age
27.8
Zebre Parma
- 1Muhamed Hasa(25)
- 2Tommaso Di Bartolomeo(25)
- 3Ion Neculai(25)
- 4Matteo Canali(28)
- 5Leonard Krumov(30)
- 6Alessandro Ortombina(24)
- 7Bautista Stavile Bravin(29)
- 8David Odiase(23)
- 9Gonzalo Garcia(27)
- 10Giacomo Da Re(27)
- 11Jacopo Trulla(26)
- 12Marco Zanon(29)
- 13Giulio Bertaccini(25)
- 14Mirko Belloni(22)
- 15Giovanni Montemauri(26)
Replacements
- 16Giovanni Quattrini(23)
- 17Luca Franceschetto(27)
- 18Juan Pitinari(31)
- 19Giacomo Ferrari(24)
- 20Giovanni Licata(29)
- 21Alessandro Fusco(27)
- 22Damiano Mazza(27)
- 23Samuele Locatelli(25)
Dragons RFC
- 1Rodrigo Martinez(28)
- 2Brodie Coghlan(25)
- 3Christian Coleman(28)
- 4Ryan Woodman(22)
- 5Ben Carter(25)
- 6Harrison Keddie(30)
- 7Thomas Young(34)
- 8Aaron Wainwright(29)
- 9Niall Armstrong(27)
- 10Marthinus Herbert De Beer(30)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fine Inisi(28)
- 14David Richards(27)
- 15Angus O'Brien(32)
Replacements
- 16Elliot Dee(32)
- 17Wyn Jones(34)
- 18Owain James(21)
- 19Seb Davies(30)
- 20Shane Lewis-Hughes(29)
- 21Morgan Lloyd(24)
- 22Fetuli Paea(32)
- 23Huw Anderson(22)